import { defineConfig } from "vite";
import { svelte } from "@sveltejs/vite-plugin-svelte";
import cssInjectedByJsPlugin from "vite-plugin-css-injected-by-js";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [cssInjectedByJsPlugin(), svelte()],

  build: {
    lib: {
      entry: "./src/main.ts",
      name: "index.js",
      fileName: () => "index.js",
      formats: ["es"],
    },
    target: "esnext",
  },
});
